search cancel

CICS CSD changes for Datacom CICS Services 15.1

book

Article ID: 253357

calendar_today

Updated On:

Products

Datacom Datacom/DB

Issue/Introduction

We are planning to upgrade Datacom CICS Services from 15.0 to 15.1.

README for Datacom CICS Services 15.1 states that the CSD group definitions for Datacom CICS Services Version 15.1 must be installed. The CSD group definitions for Datacom CICS Services Version 15.1 supersede all previous releases of Datacom CICS Services CSD group definitions.

Does the above supersede the CSD Group definitions installed as part of Datacom CICS Services Version 15.0?

 

  

Environment

Release : 15.1

Component : Datacom CICS Services

Resolution

Comparing the current 15.1 Datacom CICS Services CSD source members, B115CSD, B115CSD4, and B115CSD5,  have an entry for DCCLVLPR that is not in the 15.0 versions. members B115CSDT, B115CSD1, B115CSD2, B115CSD3 are all equal between 15.1 and 15.0.

In general, you should consider that every "latest" version CSD source will always supersede the previous version source, and therefore, you should install this latest version, comparing it to the older version you have so that you know the differences between the versions. In this case (15.0 to 15.1), the changes are minimal–adding one new program–but we have had changes between adjacent releases where we have changed storage keys or other vital parameters on many programs or transactions.

Therefore, we always recommend that you install the newer versions of the CSD source members for consistency, and to know that you have the expected entries nd parameters for the software being installed at this level.

Additional Information

As always, please contact Broadcom support for Datacom if you have further questions.